<?php

namespace Drupal\Tests\decoupled_quiz\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\decoupled_quiz\Traits\DecoupledQuizHelperTrait;

/**
 * Simple tests to ensure Answer Entity works.
 *
 * @group decoupled_quiz
 */
class AnswerTest extends BrowserTestBase {

  use DecoupledQuizHelperTrait;

  /**
   * {@inheritdoc}
   */
  public static $modules = ['text', 'field', 'decoupled_quiz'];

  /**
   * {@inheritdoc}
   */
  protected $answer;

  /**
   * {@inheritdoc}
   */
  protected $user;

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    parent::setUp();

    $this->answer = $this->createAnswer();
    $this->user = $this->createAdminUser();
    $this->drupalLogin($this->user);
  }

  /**
   * {@inheritdoc}
   */
  public function testAnswerAdminView() {
    $this->drupalGet('admin/structure/answer/' . $this->answer->id());
    $this->assertSession()->statusCodeEquals(200);
    $this->assertSession()->pageTextContains('Test Answer');
  }

  /**
   * {@inheritdoc}
   */
  public function testAnswerAdminEdit() {
    $name = 'name[0][value]';
    $edit[$name] = $this->randomMachineName();
    $this->drupalPostForm('admin/structure/answer/add/basic_answer', $edit, t('Save'));
    $answer = $this->getAnswerByName($edit[$name]);
    $this->assertTrue($answer);

    $this->drupalGet('admin/structure/answer/' . $answer->id());
    $this->assertSession()->pageTextContains($edit[$name]);
  }

}
