<?php

namespace Drupal\Tests\decoupled_quiz\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\decoupled_quiz\Traits\DecoupledQuizHelperTrait;

/**
 * Simple tests to ensure Question Entity works.
 *
 * @group decoupled_quiz
 */
class QuestionTest extends BrowserTestBase {

  use DecoupledQuizHelperTrait;

  /**
   * {@inheritdoc}
   */
  public static $modules = ['text', 'field', 'decoupled_quiz'];

  /**
   * {@inheritdoc}
   */
  protected $question;

  /**
   * {@inheritdoc}
   */
  protected $user;

  /**
   * {@inheritdoc}
   */
  public function setUp() {
    parent::setUp();

    $this->question = $this->createQuestion();
    $this->user = $this->createAdminUser();
    $this->drupalLogin($this->user);
  }

  /**
   * {@inheritdoc}
   */
  public function testQuestionAdminView() {
    $this->drupalGet('admin/structure/question/' . $this->question->id());
    $this->assertSession()->statusCodeEquals(200);
    $this->assertSession()->pageTextContains('Test Question');
  }

  /**
   * {@inheritdoc}
   */
  public function testQuestionAdminEdit() {
    $name = 'name[0][value]';
    $edit[$name] = $this->randomMachineName();
    $this->drupalPostForm('admin/structure/question/add/basic_question', $edit, t('Save'));
    $question = $this->getQuestionByName($edit[$name]);
    $this->assertTrue($question);

    $this->drupalGet('admin/structure/question/' . $question->id());
    $this->assertSession()->pageTextContains($edit[$name]);
  }

}
