<?php

namespace Drupal\Tests\decoupled_quiz\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\decoupled_quiz\Traits\DecoupledQuizHelperTrait;

/**
 * Simple test to ensure that rest resource outputs proper data.
 *
 * @group decoupled_quiz
 */
class RestResourceTest extends BrowserTestBase {

  use DecoupledQuizHelperTrait;

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['text', 'field', 'rest', 'decoupled_quiz'];

  /**
   * {@inheritdoc}
   */
  protected $quiz;

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->quiz = $this->createQuiz();
  }

  /**
   * {@inheritdoc}
   */
  public function testRestResource() {
    $this->drupalGet('/v1/quizzes/' . $this->quiz->id());
    $this->assertEquals('Test Quiz', $this->quiz->getName());
    $this->assertSession()->responseContains('Test Quiz');
    $this->assertSession()->responseContains('Test Question');
    $this->assertSession()->responseContains('Test Answer');
  }

}
